# Uses of Interface
org.springframework.core.type.AnnotationMetadata

Packages that use AnnotationMetadata
Package
Description
org.springframework.core.type
Core support package for type introspection.
org.springframework.core.type.classreading
Support classes for reading annotation and class-level metadata.

## Uses of AnnotationMetadata in org.springframework.core.type

Classes in org.springframework.core.type that implement AnnotationMetadata
Modifier and Type
Class
Description
`class`
`StandardAnnotationMetadata`
`AnnotationMetadata` implementation that uses standard reflection to introspect a given `Class`.
Methods in org.springframework.core.type that return AnnotationMetadata
Modifier and Type
Method
Description
`static AnnotationMetadata`
AnnotationMetadata.`introspect(Class<?> type)`
Factory method to create a new `AnnotationMetadata` instance for the given class using standard reflection.

## Uses of AnnotationMetadata in org.springframework.core.type.classreading

Methods in org.springframework.core.type.classreading that return AnnotationMetadata
Modifier and Type
Method
Description
`AnnotationMetadata`
MetadataReader.`getAnnotationMetadata()`
Read full annotation metadata for the underlying class, including metadata for annotated methods.